fink install aqhbci-qt-tools

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

fink install aqhbci-qt-tools

Eugen Leitl

I'm having problems on OS X (Tiger) with fink install aqhbci-qt-tools
I realize this is the wrong list, but has any Mac user had the below
problem solved?

gcc -DHAVE_CONFIG_H -I. -I. -I../.. -I/sw/include -I/sw/include -I/sw/include -Ibanking -Imsglayer -Ijoblayer -Iapplayer -I/sw/include -g -O2 -g -Wall -c dummy.c -o dummy.o >/dev/null 2>&1
/bin/sh ../../libtool --tag=CC --mode=link gcc  -g -O2 -g -Wall  -g -o libaqhbci.la -rpath /sw/lib -version-info 2:1:0 dummy.lo -L/sw/lib -lgwenhywfar -L/sw/lib -laqbanking msglayer/libhbcimsg.la joblayer/libhbcijob.la applayer/libhbciapp.la banking/libhbcibanking.la
grep: /sw/lib/libosp.la: No such file or directory
sed: /sw/lib/libosp.la: No such file or directory
libtool: link: `/sw/lib/libosp.la' is not a valid libtool archive
make[4]: *** [libaqhbci.la] Error 1
make[3]: *** [all-recursive] Error 1
make[2]: *** [all-recursive] Error 1
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2
### execution of make failed, exit code 2
Removing build lock...
/sw/bin/dpkg-lockwait -r fink-buildlock-aqhbci-1.0.2-1beta
(Reading database ... 40580 files and directories currently installed.)
Removing fink-buildlock-aqhbci-1.0.2-1beta ...
Failed: phase compiling: aqhbci-1.0.2-1beta failed


--
Eugen* Leitl <a href="http://leitl.org">leitl</a> http://leitl.org
______________________________________________________________
ICBM: 48.07100, 11.36820            http://www.ativel.com
8B29F6BE: 099D 78BA 2FD3 B014 B08A  7779 75B0 2443 8B29 F6BE

_______________________________________________
gnucash-user mailing list
[hidden email]
https://lists.gnucash.org/mailman/listinfo/gnucash-user

signature.asc (196 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: fink install aqhbci-qt-tools

Niklas von Öhsen
Eugen Leitl wrote:

> I'm having problems on OS X (Tiger) with fink install aqhbci-qt-tools
> I realize this is the wrong list, but has any Mac user had the below
> problem solved?
>
> gcc -DHAVE_CONFIG_H -I. -I. -I../.. -I/sw/include -I/sw/include -I/sw/include -Ibanking -Imsglayer -Ijoblayer -Iapplayer -I/sw/include -g -O2 -g -Wall -c dummy.c -o dummy.o >/dev/null 2>&1
> /bin/sh ../../libtool --tag=CC --mode=link gcc  -g -O2 -g -Wall  -g -o libaqhbci.la -rpath /sw/lib -version-info 2:1:0 dummy.lo -L/sw/lib -lgwenhywfar -L/sw/lib -laqbanking msglayer/libhbcimsg.la joblayer/libhbcijob.la applayer/libhbciapp.la banking/libhbcibanking.la
> grep: /sw/lib/libosp.la: No such file or directory
> sed: /sw/lib/libosp.la: No such file or directory
> libtool: link: `/sw/lib/libosp.la' is not a valid libtool archive
> make[4]: *** [libaqhbci.la] Error 1
> make[3]: *** [all-recursive] Error 1
> make[2]: *** [all-recursive] Error 1
> make[1]: *** [all-recursive] Error 1
> make: *** [all] Error 2
> ### execution of make failed, exit code 2
> Removing build lock...
> /sw/bin/dpkg-lockwait -r fink-buildlock-aqhbci-1.0.2-1beta
> (Reading database ... 40580 files and directories currently installed.)
> Removing fink-buildlock-aqhbci-1.0.2-1beta ...
> Failed: phase compiling: aqhbci-1.0.2-1beta failed
>
>

Hi Eugen,

just encountered this problem last week: The package is broken, as it
has dependencies which fink is not aware of.

libosp.la is part of the package opensp4-dev which you need to install.
There was another broken dependency which I don't quite remember -- I
think it was the file libofx1.la in the package libofx1 which was missing.

So a simple

 > fink install libofx1 opensp4-dev

should solve your problems.

By the way, you will most likely get more answers to HBCI related
questions in the german newsgroup  (.german instead of .user), since
HBCI is mostly a german thing.

Have fun,
Niklas


_______________________________________________
gnucash-user mailing list
[hidden email]
https://lists.gnucash.org/mailman/listinfo/gnucash-user